1

I have a Linux Mint 17 (Qiana) machine, which was updated from Linux Mint 14 to 15 to 16 to 17. Currently, apt-get update consistently fails (for several weeks now) with this error message:

W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://packages.linuxmint.com qiana Release: The following signatures were invalid: BADSIG 3EE67F3D0FF405B2 Clement Lefebvre (Linux Mint Package Repository v1) <root@linuxmint.com>

W: Failed to fetch http://packages.linuxmint.com/dists/qiana/Release  

W: Some index files failed to download. They have been ignored, or old ones used instead.

This happens even immediately after I follow the suggestion from this similar question:

http://unix.stackexchange.com/questions/97493/invalid-signatures-when-running-apt-get-update

and run

sudo apt-key adv --recv-keys --keyserver keyserver.ubuntu.com 3EE67F3D0FF405B2

What's the problem here?

I see that similar questions were closed as duplicates of "how to change my sources list" - this is not what I'm asking, I know how to edit the /etc/apt/sources.list file. If the solution is a specific change to that file, I'd love to know.

For what it's worth, these are the contents of my /etc/apt/sources.list file:

deb http://packages.linuxmint.com/ qiana main upstream import
# deb http://archive.ubuntu.com/ubuntu/ trusty main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ trusty main
deb http://archive.ubuntu.com/ubuntu/ trusty-updates main restricted universe multiverse
deb http://security.ubuntu.com/ubuntu/ trusty-security main restricted universe multiverse
deb http://archive.canonical.com/ubuntu/ trusty partner

deb http://cran.rstudio.com/bin/linux/ubuntu trusty/

# deb http://archive.getdeb.net/ubuntu trusty-getdeb apps
# deb http://archive.getdeb.net/ubuntu trusty-getdeb games
# deb-src http://packages.mate-desktop.org/repo/ubuntu precise main
  • Try this: sudo rm -r /var/lib/apt/lists new line: sudo mkdir -p /var/lib/apt/lists/partial new line: apt-get clean new line: apt-get update - See more at: linux.com/learn/answers/view/…` – Dee Hendrick Dec 25 '15 at 16:54
  • @DougHendrick Thanks! This now causes the above error to alternate with the following new error: W: Failed to fetch http://packages.linuxmint.com/dists/qiana/Release Unable to find expected entry 'upstream/binary-amd64/Packages' in Release file (Wrong sources.list entry or malformed file) E: Some index files failed to download. They have been ignored, or old ones used instead. – user2900219 Dec 25 '15 at 23:22

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.